"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _jsxruntime = require('react/jsx-runtime');
var _outils = require('@financial-times/o-utils');
var _FormField = require('./fieldComponents/FormField');
var _CheckBox = require('./CheckBox');
const uniqueId = _outils.uidBuilder.call(void 0, "o3-form-password-input");
const PasswordInput = ({
  label,
  feedback,
  description,
  disabled,
  attributes,
  inputId,
  optional
}) => {
  const id = inputId || uniqueId("_");
  const showPasswordId = `${id}-showPassword`;
  const inputClasses = ["o3-form", "o3-form-text-input"];
  if (feedback && feedback.type === "error") {
    inputClasses.push("o3-form-text-input--error");
  }
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, _jsxruntime.Fragment, { children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      _FormField.LabeledFormField,
      {
        label,
        feedback,
        description,
        inputId: id,
        optional,
        children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          "input",
          {
            ...attributes,
            id,
            disabled,
            className: inputClasses.join(" "),
            required: !optional,
            "aria-required": !optional,
            type: "password"
          }
        )
      }
    ),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "o3-password-input__controls", children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        _CheckBox.CheckBoxItem,
        {
          attributes: { disabled },
          inputId: showPasswordId,
          checkboxLabel: "Show password"
        }
      ),
      !disabled && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "a", { className: "o3-typography-link", href: "", children: "Forgot password?" })
    ] })
  ] });
};


exports.PasswordInput = PasswordInput;
