"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _jsxruntime = require('react/jsx-runtime');
var _outils = require('@financial-times/o-utils');
var _FormField = require('./fieldComponents/FormField');
const uniqueId = _outils.uidBuilder.call(void 0, "o3-form-text-input");
const TextInput = ({
  label,
  feedback,
  description,
  disabled,
  length,
  attributes,
  inputId,
  optional
}) => {
  const id = inputId || uniqueId("_");
  const inputClasses = ["o3-form", "o3-form-text-input"];
  if (feedback && feedback.type === "error") {
    inputClasses.push("o3-form-text-input--error");
  }
  if (length) {
    inputClasses.push(`o3-form-text-input--short-${length}`);
  }
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    _FormField.LabeledFormField,
    {
      label,
      feedback,
      description,
      inputId: id,
      optional,
      children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        "input",
        {
          ...attributes,
          id,
          disabled,
          className: inputClasses.join(" "),
          required: !optional,
          "aria-required": !optional,
          maxLength: length,
          type: "text"
        }
      )
    }
  );
};


exports.TextInput = TextInput;
